package WD::Counter::Memcached;

use strict;
use warnings;
use base qw/Cache::Memcached::Fast/;

my $MEMCACHED;

sub new {
    my $class = shift;
    $MEMCACHED ||= $class->SUPER::new({
        servers => [qw/127.0.0.1:11211/],
        ketama_points => 150,
        compress_threshold => 10_000
    });
    $MEMCACHED
}

1;
